#!/usr/bin/python
#
#  module containing all the shared messages used by up2date
#
# Copyright (c) 1999-2002 Red Hat, Inc.  Distributed under GPL.
#
# Author: Adrian Likins <alikins@redhat.com
#
#

import config
from translate import _, N_, cat

cfg = config.initUp2dateConfig()

storageDirWarningMsg = _("""The storage directory %s could not be found, or was not
accessable.""") % cfg.readEntry("storageDir")

rootWarningMsg = _("You must run the Update Agent as root.")

registeredWarningMsg = _("""You are not registered with Red Hat Network.  To use Update Agent,
You must be registered.

To register, run \"rhn_register\".""")

gpgWarning1Msg = _("""GPG does not appear to be installed.  Without it, you will be unable to
verify that packages Update Agent downloads are securely signed by a
trusted source.

Your Update Agent options specify that you want to use GPG.  Aborting.""")

gpgWarning2Msg = _("""Your GPG keyring does not contain the Red Hat, Inc. public key.
Without it, you will be unable to verify that packages Update Agent downloads
are securely signed by Red Hat.

Your Update Agent options specify that you want to use GPG.

To install the key, run the following as root:

    /usr/bin/gpg %s --import /usr/share/rhn/RPM-GPG-KEY""")
